/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/* Evolution calendar/tasks - OpenGroupware (OGo) backend
 *
 * Copyright 2004 (C) Alvaro del Castillo <acs@barrapunto.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef E_CAL_BACKEND_OGO_H
#define E_CAL_BACKEND_OGO_H

#include <libedata-cal/e-cal-backend-sync.h>

G_BEGIN_DECLS


#define E_TYPE_CAL_BACKEND_OGO            (e_cal_backend_ogo_get_type ())
#define E_CAL_BACKEND_OGO(obj)            (G_TYPE_CHECK_INSTANCE_CAST        \
					  ((obj), E_TYPE_CAL_BACKEND_OGO,    \
					    ECalBackendOGo))
#define E_CAL_BACKEND_OGO_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST           \
					  ((klass),                          \
					    E_TYPE_CAL_BACKEND_OGO,          \
					    ECalBackendOGoClass))
#define E_IS_CAL_BACKEND_OGO(obj)         (G_TYPE_CHECK_INSTANCE_TYPE        \
					  ((obj), E_TYPE_CAL_BACKEND_OGO))
#define E_IS_CAL_BACKEND_OGO_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE           \
					  ((klass), E_TYPE_CAL_BACKEND_OGO))

typedef struct _ECalBackendOGo        ECalBackendOGo;
typedef struct _ECalBackendOGoClass   ECalBackendOGoClass;

typedef struct _ECalBackendOGoPrivate ECalBackendOGoPrivate;

struct _ECalBackendOGo {
	ECalBackendSync backend;

	/* Private data */
	ECalBackendOGoPrivate *priv;
};

struct _ECalBackendOGoClass {
	ECalBackendSyncClass  parent_class; 
};

GType       e_cal_backend_ogo_get_type (void);

G_END_DECLS

#endif
