/* -*- Mode: C; tab-width: 8; indent-tabs-mode: t; c-basic-offset: 8 -*- */
/* Evolution calendar - generic backend class
 *
 * Copyright (C) 2003 Novell, Inc.
 *
 * Authors: Rodrigo Moya <rodrigo@ximian.com>
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of version 2 of the GNU General Public
 * License as published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef OGO_BOOK_BACKEND_CACHE_H
#define OGO_BOOK_BACKEND_CACHE_H

#include <libedataserver/e-file-cache.h>
#include <libecal/e-cal-component.h>

G_BEGIN_DECLS

#define OGO_TYPE_BOOK_BACKEND_CACHE            (ogo_book_backend_cache_get_type ())
#define OGO_BOOK_BACKEND_CACHE(obj)            (G_TYPE_CHECK_INSTANCE_CAST ((obj), OGO_TYPE_BOOK_BACKEND_CACHE, OGoBookBackendCache))
#define OGO_BOOK_BACKEND_CACHE_CLASS(klass)    (G_TYPE_CHECK_CLASS_CAST ((klass), OGO_TYPE_BOOK_BACKEND_CACHE, OGoBookBackendCacheClass))
#define OGO_IS_BOOK_BACKEND_CACHE(obj)         (G_TYPE_CHECK_INSTANCE_TYPE ((obj), OGO_TYPE_BOOK_BACKEND_CACHE))
#define OGO_IS_BOOK_BACKEND_CACHE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), OGO_TYPE_BOOK_BACKEND_CACHE))

typedef struct _OGoBookBackendCachePrivate OGoBookBackendCachePrivate;

typedef struct {
	EFileCache parent;
	OGoBookBackendCachePrivate *priv;
} OGoBookBackendCache;

typedef struct {
	EFileCacheClass parent_class;
} OGoBookBackendCacheClass;

GType               ogo_book_backend_cache_get_type (void);

OGoBookBackendCache   *ogo_book_backend_cache_new (const char *uri);
EContact *ogo_book_backend_cache_get_contact (OGoBookBackendCache *cache,
					      const char *uid);

gboolean            ogo_book_backend_cache_put_contact (OGoBookBackendCache *cache, EContact *contact);
gboolean            ogo_book_backend_cache_remove_component (OGoBookBackendCache *cache,
							     const char *uid);
GList              *ogo_book_backend_cache_get_contacts (OGoBookBackendCache *cache);
GSList             *ogo_book_backend_cache_get_keys (OGoBookBackendCache *cache);

const char         *ogo_book_backend_cache_get_marker (OGoBookBackendCache *cache);
void                ogo_book_backend_cache_set_marker (OGoBookBackendCache *cache);

G_END_DECLS

#endif
